#
# spec file for package perl-Spreadsheet-ParseXLSX
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Spreadsheet-ParseXLSX
Name:           perl-Spreadsheet-ParseXLSX
Version:        0.290.0
Release:        bp155.2.3.1
%define cpan_version 0.29
License:        MIT
Summary:        Parse XLSX files
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NU/NUDDLEGG/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(Crypt::Mode::CBC)
BuildRequires:  perl(Crypt::Mode::ECB)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Graphics::ColorUtils)
BuildRequires:  perl(OLE::Storage_Lite)
BuildRequires:  perl(Spreadsheet::ParseExcel)
BuildRequires:  perl(Spreadsheet::ParseExcel::Utility)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(XML::Twig)
Requires:       perl(Archive::Zip)
Requires:       perl(Crypt::Mode::CBC)
Requires:       perl(Crypt::Mode::ECB)
Requires:       perl(Digest::SHA)
Requires:       perl(Graphics::ColorUtils)
Requires:       perl(OLE::Storage_Lite)
Requires:       perl(Spreadsheet::ParseExcel)
Requires:       perl(XML::Twig)
Provides:       perl(Spreadsheet::ParseXLSX) = %{version}
Provides:       perl(Spreadsheet::ParseXLSX::Decryptor) = %{version}
Provides:       perl(Spreadsheet::ParseXLSX::Decryptor::Agile) = %{version}
Provides:       perl(Spreadsheet::ParseXLSX::Decryptor::Standard) = %{version}
%define         __perllib_provides /bin/true
%{perl_requires}

%description
This module is an adaptor for Spreadsheet::ParseExcel that reads XLSX
files. For documentation about the various data that you can retrieve from
these classes, please see Spreadsheet::ParseExcel,
Spreadsheet::ParseExcel::Workbook, Spreadsheet::ParseExcel::Worksheet, and
Spreadsheet::ParseExcel::Cell.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Jan 15 2024 chris@computersalat.de
- update changes file
  * add missing boo#1218651 (CVE-2024-22368) Information
* Wed Jan  3 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.29
  see /usr/share/doc/packages/perl-Spreadsheet-ParseXLSX/Changes
  0.29  2024-01-02
  - Merge pull request #1 from theevilapplepie/master: Fix for 'Argument "" isn't numeric in addition (+) at /usr/local/shar…
  - Merge pull request #2 from oharakouhei/master Incorrect cell values due to phonetic data doy#72
  - Merge pull request #3 from nickzoic/master: Fix die message in parse()
  - Merge pull request #4 from mazurin/master: Cannot open password protected SHA1 encrypted files. doy#68
  - Merge pull request #5 from danderman/master: use date format detection based on Spreadsheet::XLSX
  - Merge pull request #6 from gquipster/master: Add rudimentary support for hyperlinks in cells
  0.28  2024-01-02
    fix for boo#1218651 (CVE-2024-22368)
    out-of-memory condition during parsing of a crafted XLSX document
  - New maintainer
  - Fix possible memory bomb as reported in https://github.com/haile01/perl_spreadsheet_excel_rce_poc/blob/main/parse_xlsx_bomb.md
  - Updated Dist::Zilla configuration fixing deprecation warnings
* Tue Mar 19 2019 lars@linux-schulserver.de - 0.27
- initial version 0.27
